language: go

matrix:
  include:
    - go: 1.2.x
      env: PKG='./i18n/... ./goi18n/...'
    - go: 1.9.x
      env: PKG='./...'
    - go: 1.12.x
      env: PKG='./...' COVER='-coverprofile=coverage.txt -covermode=count'

install:
  - go get -t -v $PKG

script:
  - go test $COVER $PKG

after_success:
  - bash <(curl -s https://codecov.io/bash)
